For the complete documentation index, see llms.txt. This page is also available as Markdown.

Steps

Managing test steps

Creating a step

post

Create a new step.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
201Success
application/json
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
post/api/v2/steps/
POST /api/v2/steps/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279

{
  "atIndex": null,
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "isOverridden": true,
      "timeout": null
    }
  ],
  "source": "api",
  "value": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "originGroupId": "text",
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "timeout": null
    }
  ],
  "value": "text"
}

Retrieving step by ID

get

Return a single step.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this step.

Responses
200Success
application/json
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
get/api/v2/steps/{id}/
GET /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "originGroupId": "text",
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "timeout": null
    }
  ],
  "value": "text"
}

Updating a step

put
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this step.

Body
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200Success
application/json
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
put/api/v2/steps/{id}/
PUT /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279

{
  "atIndex": null,
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "isOverridden": true,
      "timeout": null
    }
  ],
  "source": "api",
  "value": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "originGroupId": "text",
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "timeout": null
    }
  ],
  "value": "text"
}

Removing a step

delete

Remove a step.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this step.

Responses
204

No response body

No content

delete/api/v2/steps/{id}/
DELETE /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Partially updating a step

patch
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this step.

Body
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200Success
application/json
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
patch/api/v2/steps/{id}/
PATCH /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279

{
  "atIndex": null,
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "isOverridden": true,
      "timeout": null
    }
  ],
  "source": "api",
  "value": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "text",
  "name": null,
  "blockId": null,
  "groupId": null,
  "originGroupId": "text",
  "notes": null,
  "isActive": true,
  "runTimeout": null,
  "sleep": null,
  "waitingConditions": [
    {
      "type": "documentComplete",
      "expected": null,
      "isActive": true,
      "timeout": null
    }
  ],
  "value": "text"
}

Last updated

Was this helpful?